unit XData.Design.Editors;

interface

uses
  Classes, DesignEditors, DesignIntf;

type
  TXDataServerSelectionEditor = class(TSelectionEditor)
  public
    procedure RequiresUnits(Proc: TGetStrProc); override;
  end;

  TXDataConnectionPoolSelectionEditor = class(TSelectionEditor)
  public
    procedure RequiresUnits(Proc: TGetStrProc); override;
  end;

implementation

{ TXDataServerSelectionEditor }

procedure TXDataServerSelectionEditor.RequiresUnits(Proc: TGetStrProc);
begin
  Proc('XData.Server.Module');
end;

{ TXDataConnectionPoolSelectionEditor }

procedure TXDataConnectionPoolSelectionEditor.RequiresUnits(Proc: TGetStrProc);
begin
  Proc('Aurelius.Drivers.Interfaces');
end;

end.
